View Issue Details

IDProjectCategoryView StatusLast Update
0001197HTML & PERLBug Report - Interfacepublic2008-07-14 13:42
ReporterHarkonnen Assigned Tofahrenheit  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001197: mylist entries do not expand if url doesnt have "&uid=xxxx" part after last update
Descriptionmylist entries do not expand if url doesnt have "&uid=xxxx" part after last update (in particular - links to mylist from anime pages). Javascript reports error "node.parentNode has no properties
Source File: http://static.anidb.net/js/anime3/parser.js Line: 655"



TagsAJAX, mylist

Relationships

has duplicate 0001198 resolvedfahrenheit can't edit mylist entry when going to mylist by "mylist info" link in animepage 

Activities

fahrenheit

2008-07-12 21:15

reporter   ~0002176

i've identified where the problem lies, did a quick patching up to at least makes the files expand, needs a better fix

Harkonnen

2008-07-13 19:28

reporter   ~0002179

i was wrong about severity "minor" :( its more like "block". not only links from anime page, but search in mylist and performing "update selected files" removes &uid part from url, effectively making ajaxified mylist unusable in its current state. needs to be fixed properly asap

Karasuhebi

2008-07-14 07:48

reporter   ~0002183

I don't know if this is related to the issue being discussed here but here goes:
In the non-AJAX version of AniDB, if I go to my MyList and expand an anime entry (with the "Show file info in mylist by default" option unchecked) there will be no + signs next to the episode titles, effectively preventing me from expanding them to see the actual files I have on my list.

Here's a screenshot:
http://the-jade-domain.com/temp/anidb_mylist-expand_fail.png

And just in case this helps for anything, here's the URL I got after navigating to the Fumoffu entry and expanding it:
http://anidb.net/perl-bin/animedb.pl?noeptb=1&musicvideo=1&watchedcomplete=1&showonhdd=1&movie=1&filemode=2&watchedpartial=1&showoncd=1&showdeleted=1&show=mylist&tvseries=1&uid=55697&showunknown=1&showheader=1&ova=1&other=1&tvspecial=1&showmixed=1&unwatched=1&web=1&unknown=1&showvotes=1&watchedallihave=1&expand=959&char=f#959

fahrenheit

2008-07-14 13:40

reporter   ~0002184

fixed and online

Issue History

Date Modified Username Field Change
2008-07-12 20:38 Harkonnen New Issue
2008-07-12 20:38 Harkonnen Tag Attached: AJAX
2008-07-12 20:38 Harkonnen Tag Attached: mylist
2008-07-12 20:52 fahrenheit Status new => assigned
2008-07-12 20:52 fahrenheit Assigned To => fahrenheit
2008-07-12 21:15 fahrenheit Note Added: 0002176
2008-07-13 19:28 Harkonnen Note Added: 0002179
2008-07-14 07:48 Karasuhebi Note Added: 0002183
2008-07-14 13:40 fahrenheit Status assigned => closed
2008-07-14 13:40 fahrenheit Note Added: 0002184
2008-07-14 13:40 fahrenheit Resolution open => fixed
2008-07-14 13:41 fahrenheit Relationship added has duplicate 0001198
2008-07-14 13:42 fahrenheit Status closed => resolved